WordPress.org

Plugin Directory

Changeset 669785


Ignore:
Timestamp:
02/18/13 14:28:30 (14 months ago)
Author:
wpmuguru
Message:

deprecated warning, update required version

Location:
genesis-simple-edits/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • genesis-simple-edits/trunk/plugin.php

    r669472 r669785  
    77    Author URI: http://www.nathanrice.net/ 
    88 
    9     Version: 1.7.1 
     9    Version: 1.7.2 
    1010 
    1111    License: GNU General Public License v2.0 (or later) 
     
    4646        $latest = '1.7.1'; 
    4747 
    48         $theme_info = get_theme_data( TEMPLATEPATH . '/style.css' ); 
    49  
    5048        if ( 'genesis' != basename( TEMPLATEPATH ) ) { 
    5149            deactivate_plugins( plugin_basename( __FILE__ ) ); /** Deactivate ourself */ 
     
    5351        } 
    5452 
    55         if ( version_compare( $theme_info['Version'], $latest, '<' ) ) { 
     53        $theme = wp_get_theme( basename( TEMPLATEPATH ) ); 
     54 
     55        if ( version_compare( $theme->get( 'Version' ), $latest, '<' ) ) { 
    5656            deactivate_plugins( plugin_basename( __FILE__ ) ); /** Deactivate ourself */ 
    5757            wp_die( sprintf( __( 'Sorry, you cannot activate without <a href="%s">Genesis %s</a> or greater', 'apl' ), 'http://www.studiopress.com/support/showthread.php?t=19576', $latest ) ); 
  • genesis-simple-edits/trunk/readme.txt

    r669472 r669785  
    33Donate link: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=5553118 
    44Tags: shortcodes, genesis, genesiswp, studiopress 
    5 Requires at least: 3.2 
     5Requires at least: 3.4 
    66Tested up to: 3.5 
    77Stable tag: 1.7.1 
Note: See TracChangeset for help on using the changeset viewer.